std::char_traits::eof,std::char_traits::eof,(3)

NAME
std::char_traits::eof,std::char_traits::eof, - std::char_traits::eof,std::char_traits::eof,

Synopsis
                        std::char_traits<char32_t>::eof
   static int_type eof(); (constexpr since C++11)
                        (noexcept since C++11)
   Returns a value not equivalent to any valid value of type char_type.
   See CharTraits for the general requirements on character traits for X::eof.

Parameters
   (none)

Return value
                   char_type eof()
                  char EOF
                  wchar_t WEOF
                  char8_t an implementation-defined constant that
                        cannot appear as a valid UTF-8 code unit
                  char16_t an implementation-defined constant that
                        cannot appear as a valid UTF-16 code unit
                  char32_t an implementation-defined constant that
                        cannot appear as a Unicode code point

Complexity
   Constant.

See also
   not_eof checks whether a character is eof value
   [static] (public static member function)